﻿###########################
# 	  Chinese Events	  #
###########################

add_namespace = china
add_namespace = south_china_sea_clash
add_namespace = sino_indian
add_namespace = sco
add_namespace = chi_moon
add_namespace = chi_mars

#Lunar Outpost
country_event = {
	id = chi_moon.1
	title = chi_moon.1.1.t
	desc = chi_moon.1.1.d
	picture = GFX_CHI_generic #alles passt außer das

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_moon.1.1.o1
		log = "[GetDateText]: [This.GetName]: chi_moon.1.1.o1 executed"
		hidden_effect = {
			country_event = { id = donald_trump.27 days = 20 random = 480 }
		}
	}
}

#Moonbase Alpha
country_event = {
	id = chi_moon.2
	title = chi_moon.2.t
	desc = chi_moon.2.d
	picture = GFX_moonbase_construction

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Science!
		name = chi_moon.2.o1
		log = "[GetDateText]: [This.GetName]: chi_moon.2.o1 executed"
		add_political_power = -10
		set_temp_variable = { party_index = 1 }
		set_temp_variable = { party_popularity_increase = 0.002 }
		add_relative_party_popularity = yes
		set_temp_variable = { party_index = 20 }
		set_temp_variable = { party_popularity_increase = 0.002 }
		add_relative_party_popularity = yes
		advance_moon_base = yes
	}
}

#Colony Progresses
country_event = {
	id = chi_moon.3
	title = chi_moon.3.t
	desc = chi_moon.3.d
	picture = GFX_moonbase_construction

	fire_only_once = yes

	is_triggered_only = yes

	option = { #We're good at being pioneers
		name = chi_moon.3.o1
		log = "[GetDateText]: [This.GetName]: chi_moon.3.o1 executed"
		add_political_power = 20
		set_temp_variable = { party_index = 20 }
		set_temp_variable = { party_popularity_increase = 0.002 }
		add_relative_party_popularity = yes
		advance_moon_base = yes
		swap_ideas = {
			remove_idea = continued_space_efforts5
			add_idea = continued_space_efforts6
		}
	}
}

#Crisis on the Moon
country_event = {
	id = chi_moon.4
	title = chi_moon.4.t
	desc = chi_moon.4.d
	picture = GFX_moonbase

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Send emergency aid!
		name = chi_moon.4.o1
		log = "[GetDateText]: [This.GetName]: chi_moon.4.o1 executed"
		add_political_power = -75
		set_temp_variable = { party_index = 20 }
		set_temp_variable = { party_popularity_increase = -0.01 }
		add_relative_party_popularity = yes
		set_temp_variable = { party_index = 1 }
		set_temp_variable = { party_popularity_increase = -0.005 }
		add_relative_party_popularity = yes
		advance_moon_base = yes
	}
	option = { #Abandon the project. It's not meant for us
		name = chi_moon.4.o2
		log = "[GetDateText]: [This.GetName]: chi_moon.4.o2 executed"
		add_political_power = 25
		set_temp_variable = { party_index = 1 }
		set_temp_variable = { party_popularity_increase = -0.002 }
		add_relative_party_popularity = yes
		set_temp_variable = { party_index = 20 }
		set_temp_variable = { party_popularity_increase = -0.01 }
		add_relative_party_popularity = yes
	}
}

#Colony Progresses Further
country_event = {
	id = chi_moon.5
	title = chi_moon.5.t
	desc = chi_moon.5.d
	picture = GFX_moonbase_construction

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Life continues on
		name = chi_moon.5.o1
		log = "[GetDateText]: [This.GetName]: chi_moon.5.o1 executed"
		add_political_power = 30
		set_temp_variable = { party_index = 20 }
		set_temp_variable = { party_popularity_increase = 0.002 }
		add_relative_party_popularity = yes
		advance_moon_base = yes
		swap_ideas = {
			remove_idea = continued_space_efforts6
			add_idea = continued_space_efforts7
		}
	}
}

#Another Crisis on the Moon
country_event = {
	id = chi_moon.6
	title = chi_moon.6.t
	desc = chi_moon.6.d
	picture = GFX_moonbase

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Send more emergency aid!
		name = chi_moon.6.o1
		log = "[GetDateText]: [This.GetName]: chi_moon.6.o1 executed"
		add_political_power = -100
		set_temp_variable = { treasury_change = -5 }
		modify_treasury_effect = yes
		set_temp_variable = { party_index = 1 }
		set_temp_variable = { party_popularity_increase = -0.005 }
		add_relative_party_popularity = yes
		set_temp_variable = { party_index = 20 }
		set_temp_variable = { party_popularity_increase = -0.01 }
		add_relative_party_popularity = yes
		advance_moon_base = yes
	}
	option = { #We can't continue doing things like this.
		name = chi_moon.6.o2
		log = "[GetDateText]: [This.GetName]: chi_moon.6.o2 executed"
		add_political_power = 50
		set_temp_variable = { party_index = 1 }
		set_temp_variable = { party_popularity_increase = -0.002 }
		add_relative_party_popularity = yes
		set_temp_variable = { party_index = 20 }
		set_temp_variable = { party_popularity_increase = -0.01 }
		add_relative_party_popularity = yes
	}
}

#Moonbase Beta
country_event = {
	id = chi_moon.7
	title = chi_moon.7.t
	desc = chi_moon.7.d
	picture = GFX_moonbase

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Huzzah!
		name = chi_moon.7.o1
		log = "[GetDateText]: [This.GetName]: chi_moon.7.o1 executed"
		add_political_power = 50
		set_temp_variable = { party_index = 1 }
		set_temp_variable = { party_popularity_increase = 0.005 }
		add_relative_party_popularity = yes
		set_temp_variable = { party_index = 20 }
		set_temp_variable = { party_popularity_increase = 0.01 }
		add_relative_party_popularity = yes
		swap_ideas = {
			remove_idea = continued_space_efforts7
			add_idea = continued_space_efforts8
		}
		custom_effect_tooltip = moonbase_chain_end_tt
	}
}










#Rover Mars Mission
country_event = {
	id = chi_mars.1
	title = chi_mars.1.t
	desc = chi_mars.1.d
	picture = GFX_mars_mission

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.1.1.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.1.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.2 days = 20 random = 480 }
		}
	}
}

#Mars Colony Event Chain
#Launch
country_event = {
	id = chi_mars.2
	title = chi_mars.2.t
	desc = chi_mars.2.d
	picture = GFX_mars_colony_2

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.2.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.2.o1 executed"
		hidden_effect = {
		random_list = {
            60 = {
			hidden_effect = {
			country_event = { id = chi_mars.3 days = 20 random = 480 }
					}
				}
            40 = {
			hidden_effect = {
			country_event = { id = chi_mars.6 days = 20 random = 480 }
					}
				}
            }
		}
	}
}
country_event = {
	id = chi_mars.3
	title = chi_mars.3.t
	desc = chi_mars.3.d
	picture = GFX_mars_colony_3

	fire_only_once = yes

	is_triggered_only = yes

	option = { #
		name = chi_mars.3.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.3.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.4 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.4
	title = chi_mars.4.t
	desc = chi_mars.4.d
	picture = GFX_mars_colony_4

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.4.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.4.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.5 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.5
	title = chi_mars.5.t
	desc = chi_mars.5.d
	picture = GFX_mars_colony_5

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.5.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.5.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.7 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.6
	title = chi_mars.6.t
	desc = chi_mars.6.d
	picture = GFX_mars_colony_6

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.6.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.6.1.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.7 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.7
	title = chi_mars.7.t
	desc = chi_mars.7.d
	picture = GFX_mars_colony_7

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.7.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.7.1.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.8 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.8
	title = chi_mars.8.t
	desc = chi_mars.8.d
	picture = GFX_mars_colony_8

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.8.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.8.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.9 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.9
	title = chi_mars.9.t
	desc = chi_mars.9.d
	picture = GFX_mars_colony_9

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.9.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.9.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.10 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.10
	title = chi_mars.10.t
	desc = chi_mars.10.d
	picture = GFX_mars_colony_10

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.10.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.10.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.11 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.11
	title = chi_mars.11.t
	desc = chi_mars.11.d
	picture = GFX_mars_colony_11

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.11.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.11.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.12 days = 20 random = 480 }
		}
	}

}
country_event = {
	id = chi_mars.12
	title = chi_mars.12.t
	desc = chi_mars.12.d
	picture = GFX_mars_colony_12

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Evacuate
		name = chi_mars.12.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.12.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.13 days = 20 random = 480 }
		}
	}
	option = { #Fix Base
		name = chi_mars.12.o2
		log = "[GetDateText]: [This.GetName]: chi_mars.12.o2 executed"
		hidden_effect = {
			country_event = { id = chi_mars.14 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.13
	title = chi_mars.13.t
	desc = chi_mars.13.d

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.13.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.13.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.3 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.14
	title = chi_mars.14.t
	desc = chi_mars.14.d

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.14.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.14.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.15 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.15
	title = chi_mars.15.t
	desc = chi_mars.15.d
	picture = GFX_mars_colony_15

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Yes
		name = chi_mars.15.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.15.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.17 days = 20 random = 480 }
		}
	}
	option = { #No
		name = chi_mars.15.o2
		log = "[GetDateText]: [This.GetName]: chi_mars.15.o2 executed"
		hidden_effect = {
			country_event = { id = chi_mars.16 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.16
	title = chi_mars.16.t
	desc = chi_mars.16.d

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.16.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.16.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.18 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.17
	title = chi_mars.17.t
	desc = chi_mars.17.d

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.17.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.17.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.15 days = 20 random = 480 }
		}
	}
}
country_event = {
	id = chi_mars.18
	title = chi_mars.18.t
	desc = chi_mars.18.d
	picture = GFX_mars_colony_18

	fire_only_once = yes

	is_triggered_only = yes

	option = { #Launch!
		name = chi_mars.18.o1
		log = "[GetDateText]: [This.GetName]: chi_mars.18.o1 executed"
		hidden_effect = {
			country_event = { id = chi_mars.15 days = 20 random = 480 }
		}
	}
}
#19th National Congress
news_event = {
	id = china.1
	title = china.1.t
	desc = china.1.d
	picture = GFX_china_19th_national_congress

	is_triggered_only = yes

	option = {
		name = china.1.a
		log = "[GetDateText]: [This.GetName]: china.1.a executed"
		add_stability = 0.05
	}
}

#90th PLA Anniversary
news_event = {
	id = china.2
	title = china.2.t
	desc = china.2.d
	picture = GFX_china_90th_pla_anniversary

	fire_only_once = yes

	trigger = {
		tag = CHI
		date > 2017.8.1
		date < 2017.8.4
	}

	option = {
		name = china.2.a
		log = "[GetDateText]: [This.GetName]: china.2.a executed"
		add_war_support = 0.05
	}
}

country_event = { #2008 Melamine Scandal
	id = china.3
	title = china.3.t
	desc = china.3.d
	picture = GFX_melamine_scandal

	fire_only_once = yes

	trigger = {
		tag = CHI
		has_government = communism
		date > 2008.7.1
		date < 2008.7.30
	}

	option = {
		name = china.3.a
		log = "[GetDateText]: [This.GetName]: china.3.a executed"
		ai_chance = {
			factor = 100
		}

		add_political_power = -10

		add_stability = -0.10

		hidden_effect = {
			add_popularity = {
				ideology = communism
				popularity = -0.05
			}
			recalculate_party = yes
		}
	}
}

# Typhoon Bilis
country_event = {
	id = china.4
	title = china.4.t
	desc = china.4.d
	picture = GFX_typhoon

	fire_only_once = yes

	is_triggered_only = yes

	option = {
		name = china.4.a
		log = "[GetDateText]: [This.GetName]: china.4.a executed"
		set_temp_variable = { treasury_change = -0.53 }
		modify_treasury_effect = yes
		add_manpower = -57
		537 = { damage_building = { type = infrastructure damage = 0.4 } damage_building = { type = industrial_complex damage = 0.2 } }
	}
}

#China Announces "Peaceful Rise" Policy
country_event = {
	id = china.5
	title = china.5.t
	desc = china.5.d
	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = china.5.a
		log = "[GetDateText]: [This.GetName]: china.5.a executed"
		add_opinion_modifier = {
			target = CHI
			modifier = peaceful_rise
		}
		reverse_add_opinion_modifier = {
			target = CHI
			modifier = peaceful_rise
		}
	}
}

#Bo Xilai Falls from Grace
news_event = {
	id = china.6
	title = china.6.t
	desc = china.6.d
	picture = GFX_CHI_bo_xilai_downfall

	is_triggered_only = yes

	option = {
		name = china.6.a
		log = "[GetDateText]: [This.GetName]: china.6.a executed"
	}
}

#Catching Tigers and Flies
news_event = {
	id = china.7
	title = china.7.t
	desc = china.7.d
	picture = GFX_trade_agreement

	is_triggered_only = yes

	option = {
		name = china.7.a
		log = "[GetDateText]: [This.GetName]: china.7.a executed"
	}
}

#Uighur protests
country_event = {
	id = china.8
	title = china.8.t
	desc = china.8.d

	picture = GFX_kurd_riot
	is_triggered_only = yes
	trigger = {
		original_tag = CHI
		CHI = {
			controls_state = 592
			check_variable = {
				var = uighur_opinion
				value = 100
				compare = less_than
			}
		}
	}

	option = {
		name = china.8.a
		log = "[GetDateText]: [This.GetName]: china.8.a executed"
		add_political_power = -25
		set_temp_variable = { modify_uighur_threat = 1 }
		CHI_modify_uighur_threat = yes
		ai_chance = {
			factor = 50
		}
	}

	option = {
		name = china.8.b
		log = "[GetDateText]: [This.GetName]: china.8.b executed"
		add_political_power = -50
		set_temp_variable = { modify_uighur_threat = 2 }
		CHI_modify_uighur_threat = yes
		set_temp_variable = { modify_uighur_opinion = 1 }
		CHI_modify_uighur_opinion = yes
		ai_chance = {
			factor = 1
			modifier = {
				factor = 100
				has_global_flag = PRC_A_LONG_PEACE_FOCUS_PATH
			}
		}
	}
}

#Uighur knife attack

country_event = {
	id = china.9
	title = china.9.t
	desc = china.9.d
	picture = GFX_politics_salafism
	is_triggered_only = yes

	trigger = {
		original_tag = CHI
		CHI = {
			controls_state = 592
			check_variable = {
				var = uighur_opinion
				value = 100
				compare = less_than
			}
			check_variable = {
				var = uighur_threat
				value = 50
				compare = greater_than
			}
		}
	}


	option = {
		name = china.9.a
		log = "[GetDateText]: [This.GetName]: china.9.a executed"
		if = {
			limit = {
				original_tag = CHI
				check_variable = {
					var = uighur_threat
					value = 25
					compare = greater_than_or_equals
				}
				check_variable = {
					var = uighur_threat
					value = 50
					compare = less_than
				}
			}
			add_manpower = -25
			add_stability = -0.02
			set_temp_variable = { modify_uighur_threat = 1 }
			CHI_modify_uighur_threat = yes
		}
		else_if = {
			limit = {
				original_tag = CHI
				check_variable = {
					var = uighur_threat
					value = 50
					compare = greater_than_or_equals
				}
				check_variable = {
					var = uighur_threat
					value = 75
					compare = less_than
				}
			}
			add_manpower = -50
			add_stability = -0.03
			set_temp_variable = { modify_uighur_threat = 2 }
			CHI_modify_uighur_threat = yes
		}
		else_if = {
			limit = {
				original_tag = CHI
				check_variable = {
					var = uighur_threat
					value = 75
					compare = greater_than_or_equals
				}
			}
			add_manpower = -75
			add_stability = -0.04
			set_temp_variable = { modify_uighur_threat = 5 }
			CHI_modify_uighur_threat = yes
		}
		hidden_effect = {
			every_other_country = { news_event = { id = china.15 } }
		}
	}
}

#Uighur bombing

country_event = {
	id = china.10
	title = china.10.t
	desc = china.10.d
	picture = GFX_rocket_explosion
	is_triggered_only = yes

	trigger = {
		original_tag = CHI
		CHI = {
			controls_state = 592
			check_variable = {
				var = uighur_opinion
				value = 100
				compare = less_than
			}
			check_variable = {
				var = uighur_threat
				value = 70
				compare = greater_than
			}
		}
	}

	option = {
		name = china.10.a
		log = "[GetDateText]: [This.GetName]: china.10.a executed"
		if = {
			limit = {
				original_tag = CHI
				check_variable = {
					var = uighur_threat
					value = 70
					compare = greater_than_or_equals
				}
				check_variable = {
					var = uighur_threat
					value = 80
					compare = less_than
				}
			}
			add_manpower = -50
			add_stability = -0.05
			random_owned_state = {
				damage_building = {
					type = infrastructure
					damage = 1
				}
			}
			set_temp_variable = { modify_uighur_threat = 2 }
			CHI_modify_uighur_threat = yes
		}
		else_if = {
			limit = {
				original_tag = CHI
				check_variable = {
					var = uighur_threat
					value = 80
					compare = greater_than_or_equals
				}
				check_variable = {
					var = uighur_threat
					value = 90
					compare = less_than
				}
			}
			add_manpower = -75
			add_stability = -0.06
			random_owned_state = {
				damage_building = {
					type = infrastructure
					damage = 2
				}
			}
			set_temp_variable = { modify_uighur_threat = 5 }
			CHI_modify_uighur_threat = yes
		}
		else_if = {
			limit = {
				original_tag = CHI
				check_variable = {
					var = uighur_threat
					value = 90
					compare = greater_than_or_equals
				}
			}
			add_manpower = -100
			add_stability = -0.07
			random_owned_state = {
				damage_building = {
					type = infrastructure
					damage = 5
				}
			}
			set_temp_variable = { modify_uighur_threat = 10 }
			CHI_modify_uighur_threat = yes
		}
		hidden_effect = {
			every_other_country = {
				news_event = { id = china.16 }
			}
		}
	}
}

#hidden event that increases Uighur Threat
country_event = {
	id = china.11
	title = china.11.t
	desc = china.11.d
	is_triggered_only = yes

	hidden = yes

	trigger = {
		controls_state = 592
		check_variable = {
			var = uighur_opinion
			value = 100
			compare = less_than
		}
	}

	option = {
		name = china.11.a
		log = "[GetDateText]: [This.GetName]: china.11.a executed"
		add_to_variable = {
			var = uighur_threat
			value = 1
		}
		clamp_variable = {
			var = uighur_threat
			min = 0
			max = 100
		}
	}
}

#China Draws International Condemnation for Uighur Internment Camps
country_event = {
	id = china.12
	title = china.12.t
	desc = china.12.d

	is_triggered_only = yes

	option = {
		name = china.12.a #This practice must be condemned!
		CHI = {
			add_opinion_modifier = {
				target = ROOT
				modifier = opposes_re_education_camps
			}
		}
		add_political_power = 10
		add_opinion_modifier = {
			target = CHI
			modifier = re_education_camps
		}
		ai_chance = {
			factor = 1
			modifier = {
				factor = 100
				OR = {
					original_tag = AST
					original_tag = AUS
					original_tag = BEL
					original_tag = CAN
					original_tag = DEN
					original_tag = EST
					original_tag = FIN
					original_tag = FRA
					original_tag = GER
					original_tag = ICE
					original_tag = IRE
					original_tag = JAP
					original_tag = LAT
					original_tag = LIT
					original_tag = LUX
					original_tag = HOL
					original_tag = NZL
					original_tag = NOR
					original_tag = SPR
					original_tag = SWE
					original_tag = SWI
					original_tag = ENG
					original_tag = USA
					original_tag = TUR
				}
			}
		}
		log = "[GetDateText]: [This.GetName]: china.12.a executed"
	}
	option = {
		name = china.12.b #We see nothing wrong with this.
		CHI = {
			add_opinion_modifier = {
				target = ROOT
				modifier = supports_re_education_camps
			}
		}
		add_political_power = -10
		ai_chance = {
			factor = 1
			modifier = {
				factor = 100
					has_government = communism
			}
			modifier = {
				factor = 100
				OR = {
					original_tag = BHR
					original_tag = BFA
					original_tag = BUR
					original_tag = CAM
					original_tag = COM
					original_tag = CNG
					original_tag = DRC
					original_tag = DJI
					original_tag = EGY
					original_tag = GUI
					original_tag = ERI
					original_tag = GAB
					original_tag = IRQ
					original_tag = KUW
					original_tag = MOZ
					original_tag = BRM
					original_tag = NEP
					original_tag = NIG
					original_tag = OMA
					original_tag = PAK
					original_tag = PAL
					original_tag = QAT
					original_tag = SAU
					original_tag = SER
					original_tag = SOM
					original_tag = SSU
					original_tag = SRI
					original_tag = SUD
					original_tag = TAJ
					original_tag = TOG
					original_tag = TRK
					original_tag = UGA
					original_tag = UAE
					original_tag = UZB
					original_tag = YEM
					original_tag = ZAM
					original_tag = ZIM
				}
			}
		}
		log = "[GetDateText]: [This.GetName]: china.12.b executed"
	}
	option = {
		name = china.12.c #This is none of our business.
		ai_chance = {
			factor = 10
		}
		log = "[GetDateText]: [This.GetName]: china.12.c executed"
	}
}

#uighur knife attack news event
news_event = {
	id = china.15
	title = china.15.t
	desc = china.15.d

	picture = GFX_news_rise_of_taliban

	is_triggered_only = yes

	option = {
		name = china.15.a
		log = "[GetDateText]: [This.GetName]: china.15.a executed"
	}
}

#uighur bombing news event
news_event = {
	id = china.16
	title = china.16.t
	desc = china.16.d

	picture = GFX_news_rocket_explosion

	is_triggered_only = yes

	option = {
		name = china.16.a
		log = "[GetDateText]: [This.GetName]: china.16.a executed"
	}
}

#China Institutes "Democracy with Chinese Characteristics"
news_event = {
	id = china.17
	title = china.17.t
	desc = china.17.d

	picture = GFX_news_election_rally

	is_triggered_only = yes

	option = {
		name = china.17.a
		log = "[GetDateText]: [This.GetName]: china.17.a executed"
	}
}

#The Dalai Lama Returns to Tibet
news_event = {
	id = china.18
	title = china.18.t
	desc = china.18.d

	picture = GFX_news_election_rally

	is_triggered_only = yes

	option = {
		name = china.18.a
		log = "[GetDateText]: [This.GetName]: china.18.a executed"
	}
}

#The Tibetan Special Administrative Region is Established
news_event = {
	id = china.19
	title = china.19.t
	desc = china.19.d

	picture = GFX_trade_agreement

	is_triggered_only = yes

	option = {
		name = china.19.a
		log = "[GetDateText]: [This.GetName]: china.19.a executed"
	}
}

#The Signing of the Cross-Strait Services Trade Agreement
country_event = {
	id = china.20
	title = china.20.t
	desc = china.20.d

	picture = GFX_politics_talks

	is_triggered_only = yes

	option = {
		name = china.20.a
		log = "[GetDateText]: [This.GetName]: china.20.a executed"
		custom_effect_tooltip = TAI_CSSTA_540_tt
		hidden_effect = {
			country_event = {
				id = taiwan.8
				days = 540
			}
			every_other_country = {
				news_event = {
					id = taiwan.6
					days = 540
				}
			}
		}
	}
	option = {
		name = china.20.b
		log = "[GetDateText]: [This.GetName]: china.20.b executed"
		random_list = {
			75 = {
				country_event = {
					id = taiwan.9
					days = 7
				}
				hidden_effect = {
					every_other_country = {
						news_event = {
							id = taiwan.7
							days = 7
						}
					}
				}
			}
			25 = {
				custom_effect_tooltip = TAI_CSSTA_30_tt
				hidden_effect = {
					country_event = {
						id = taiwan.8
						days = 30
					}
					every_other_country = {
						news_event = {
							id = taiwan.6
							days = 30
						}
					}
				}
			}
		}
	}
}

#The PRC's "Roadmap to Reunification" Released
news_event = {
	id = china.21
	title = china.21.t
	desc = china.21.d

	picture = GFX_news_press_conference

	is_triggered_only = yes

	option = {
		name = china.21.a
		log = "[GetDateText]: [This.GetName]: china.21.a executed"
	}
}

#China Drops its Opposition to the Prospect of Taiwanese Independence
news_event = {
	id = china.22
	title = china.22.t
	desc = china.22.d

	picture = GFX_news_press_conference

	is_triggered_only = yes

	option = {
		name = china.22.a
		log = "[GetDateText]: [This.GetName]: china.22.a executed"
	}
}

#China threatening harsh economic measures unless we switch recognition
country_event = {
	id = china.23
	title = china.23.t
	desc = china.23.d

	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = china.23.a #Accept their demands.
		clr_country_flag = Recognised_ROC
			CHI = {
				remove_opinion_modifier = {
					modifier = recognize_taiwan_chi
					target = ROOT
				}
			}
			TAI = {
				add_opinion_modifier = {
					modifier = revoked_recognize_taiwan
					target = ROOT
				}
				remove_opinion_modifier = {
					modifier = recognize_taiwan
					target = ROOT
				}
			}
		add_political_power = -100
		log = "[GetDateText]: [This.GetName]: china.23.a executed"
	}

	option = {
		name = china.23.b #We are nothing if not loyal!
		log = "[GetDateText]: [This.GetName]: china.23.b executed"
		add_opinion_modifier = {
			target = CHI
			modifier = attacks_on_our_economy
		}
		CHI = {
			add_opinion_modifier = {
				target = ROOT
				modifier = harsh_sanctions
			}
		}
		set_country_flag = loyal_to_ROC
	}
}

#China Blockades Taiwanese Islands
news_event = {
	id = china.24
	title = china.24.t
	desc = china.24.d

	picture = GFX_united_states_navy

	is_triggered_only = yes

	option = {
		name = china.24.a
		trigger = { NOT = { original_tag = TAI original_tag = CHI } }
		log = "[GetDateText]: [This.GetName]: china.24.a executed"
	}

	option = {
		name = china.24.b
		trigger = { original_tag = TAI }
		log = "[GetDateText]: [This.GetName]: china.24.b executed"
	}

	option = {
		name = china.24.c
		trigger = { original_tag = CHI }
		log = "[GetDateText]: [This.GetName]: china.24.b executed"
	}

}

#China Shells Kinmen
news_event = {
	id = china.25
	title = china.25.t
	desc = china.25.d

	picture = GFX_news_rocket_explosion

	is_triggered_only = yes

	option = {
		name = china.25.a
		log = "[GetDateText]: [This.GetName]: china.25.a executed"
	}

}

#The Taiwan SAR
news_event = {
	id = china.26
	title = china.26.t

	desc = {
		text = china.26.d #non-coup SAR
		trigger = {
			TAI = { NOT = { has_country_flag = TAI_coup_success } }
			CHI = { NOT = { has_completed_focus = CHI_Resume_the_Civil_War } }
		}
	}

	desc = {
		text = china.26.d_coup #coup SAR
		trigger = {
			TAI = { has_country_flag = TAI_coup_success }
		}
	}

	desc = {
		text = china.26.d_war #war SAR
		trigger = {
			TAI = { NOT = { has_country_flag = TAI_coup_success } }
			CHI = { has_completed_focus = CHI_Resume_the_Civil_War }
		}
	}

	picture = GFX_trade_agreement

	is_triggered_only = yes

	option = {
		name = china.26.a
		log = "[GetDateText]: [This.GetName]: china.26.a executed"
	}
}

#The NPCSC Decision on Hong Kong
country_event = {
	id = china.27
	title = china.27.t
	desc = china.27.d

	picture = GFX_court

	is_triggered_only = yes

	option = {
		name = china.27.a #Universal suffrage is out of the question!
		trigger = { NOT = { HKG = { has_idea = Limited_Universal_Suffrage } } }
		set_temp_variable = { temp_opinion = 5 }
		change_communist_cadres_opinion = yes
		add_popularity = {
			ideology = communism
			popularity = 0.05
		}
		add_ideas = CHI_Hong_Kong_Protests_01
		recalculate_party = yes
		HKG = {
			set_country_flag = universal_suffrage_rejected
			add_popularity = {
				ideology = nationalist
				popularity = 0.05
			}
			recalculate_party = yes
			add_ideas = Localist_Movement
			add_ideas = Hong_Kong_Protests_01
		}
		every_country = {
			news_event = { id = hongkong.1 }
		}
		HKG = {
			clr_country_flag = universal_suffrage_rejected
		}
		ai_chance = {
			factor = 1
			modifier = {
				factor = 1000
				has_global_flag = PRC_RED_DAWN_FOCUS_PATH
			}
		}
		log = "[GetDateText]: [This.GetName]: china.27.a executed"
	}

	option = {
		name = china.27.b #We can accept universal suffrage, as long as we vet the candidates first
		trigger = { NOT = { HKG = { has_idea = Limited_Universal_Suffrage } } }
		random_list = {
			50 = {
				HKG = {
					swap_ideas = {
						remove_idea = Lacks_Universal_Suffrage
						add_idea = Limited_Universal_Suffrage
					}
				}
			}
			50 = {
				add_ideas = CHI_Hong_Kong_Protests_01
				HKG = {
					set_country_flag = universal_suffrage_limited
					add_popularity = {
						ideology = nationalist
						popularity = 0.05
					}
					recalculate_party = yes
					add_ideas = Localist_Movement
					add_ideas = Hong_Kong_Protests_01
				}
				every_country = {
					news_event = { id = hongkong.1 }
				}
				HKG = {
					clr_country_flag = universal_suffrage_limited
				}
			}
		}
		ai_chance = {
			factor = 100
		}
		log = "[GetDateText]: [This.GetName]: china.27.b executed"
	}

	option = {
		name = china.27.c #The Hong Kong people should choose their leaders
		set_temp_variable = { temp_opinion = -5 }
		change_communist_cadres_opinion = yes
		add_popularity = {
			ideology = communism
			popularity = -0.05
		}
		recalculate_party = yes
		HKG = {
			if = {
				limit = { has_idea = Lacks_Universal_Suffrage }
				swap_ideas = {
					remove_idea = Lacks_Universal_Suffrage
					add_idea = Universal_Suffrage
				}
			}
			else_if = {
				limit = { has_idea = Limited_Universal_Suffrage }
				swap_ideas = {
					remove_idea = Limited_Universal_Suffrage
					add_idea = Universal_Suffrage
				}
			}
			add_popularity = {
				ideology = nationalist
				popularity = -0.05
			}
			recalculate_party = yes
		}
		ai_chance = {
			factor = 1
			modifier = {
				factor = 1000
				has_global_flag = PRC_A_LONG_PEACE_FOCUS_PATH
			}
		}
		log = "[GetDateText]: [This.GetName]: china.27.c executed"
	}
}

#The Future of Hong Kong
country_event = {
	id = china.28
	title = china.28.t
	desc = china.28.d

	picture = GFX_court

	is_triggered_only = yes

	option = {
		name = china.28.a #The S.A.R. will endure.
		custom_effect_tooltip = TAI_reunification_more_likely_tt
		add_popularity = {
			ideology = communism
			popularity = -0.05
		}
		recalculate_party = yes
		HKG = {
			clr_country_flag = reunification
			set_country_flag = continuation
		}
		ai_chance = {
			factor = 100
		}
		log = "[GetDateText]: [This.GetName]: china.28.a executed"
	}

	option = {
		name = china.28.b #Hong Kong will return to our control
		set_temp_variable = { temp_opinion = 5 }
		change_communist_cadres_opinion = yes
		custom_effect_tooltip = TAI_reunification_less_likely_tt
		add_popularity = {
			ideology = communism
			popularity = 0.05
		}
		add_ideas = CHI_Hong_Kong_Protests_01
		recalculate_party = yes
		HKG = {
			clr_country_flag = continuation
			set_country_flag = reunification
			add_popularity = {
				ideology = democratic
				popularity = 0.05
			}
			add_popularity = {
				ideology = nationalist
				popularity = 0.1
			}
			recalculate_party = yes
			add_ideas = Hong_Kong_Protests_01
			add_ideas = Localist_Movement
		}
		every_country = {
			news_event = { id = hongkong.1 }
		}
		ai_chance = {
			factor = 1
			modifier = {
				factor = 1000
				has_global_flag = PRC_RED_DAWN_FOCUS_PATH
			}
		}
		log = "[GetDateText]: [This.GetName]: china.28.b executed"
	}
}

#China Joins the World Trade Organization
news_event = {
	id = china.29
	title = china.29.t
	desc = china.29.d

	picture = GFX_trade_agreement

	is_triggered_only = yes

	option = {
		name = china.29.a #China continues to open up to the world.
		log = "[GetDateText]: [This.GetName]: china.29.a executed"
	}
}

#China Completes its Transition towards a Free-Market Economy
news_event = {
	id = china.30
	title = china.30.t
	desc = china.30.d

	picture = GFX_news_press_conference

	is_triggered_only = yes

	option = {
		name = china.30.a #There is nothing holding back China's development now...
		log = "[GetDateText]: [This.GetName]: china.30.a executed"
	}
}

#[CHI.GetLeader] Denounces Deng Xiaoping
news_event = {
	id = china.31
	title = china.31.t
	desc = china.31.d

	picture = GFX_china_19th_national_congress

	is_triggered_only = yes

	option = {
		name = china.31.a #The People's Republic returns to its roots.
		log = "[GetDateText]: [This.GetName]: china.31.a executed"
	}
}

#China Declares the Fifth International
news_event = {
	id = china.32
	title = china.32.t
	desc = china.32.d

	picture = GFX_china_19th_national_congress

	is_triggered_only = yes

	option = {
		name = china.32.a #Communism is once again a force to be reckoned with...
		every_country = {
			limit = {
				check_variable = { party_pop_array^4 > 0.05 }
				NOT = { original_tag = CHI }
			}
			custom_effect_tooltip = improve_CHI_influence_1_percent_TT
			custom_effect_tooltip = CHI_fifth_international_5_tt
		}
		log = "[GetDateText]: [This.GetName]: china.32.a executed"
	}
}

#China Completes the Yarlung Tsangpo Diversion Project
country_event = {
	id = china.33
	title = china.33.t
	desc = china.33.d

	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = china.33.a #The Chinese continue to test our patience...
		effect_tooltip = {
			add_stability = -0.05
			add_opinion_modifier = {
				target = CHI
				modifier = yarlung_tsangpo_diversion_project
			}
		}
		log = "[GetDateText]: [This.GetName]: china.33.a executed"
	}
}

#China Accelerates "Belt and Road Initiative"
country_event = {
	id = china.34
	title = china.34.t
	desc = china.34.d

	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = china.34.a #Where do we sign?
		set_country_flag = signed_BRI
		log = "[GetDateText]: [This.GetName]: china.34.a executed"
		ai_chance = {
			factor = 100
			modifier = {
				factor = 0
				OR = {
					is_puppet_of = USA
					is_puppet_of = AST
					is_puppet_of = JAP
					is_puppet_of = RAJ
					original_tag = USA
					original_tag = AST
					original_tag = JAP
					original_tag = RAJ
				}
			}
		}
	}

	option = {
		name = china.34.b #We reject this threat to our independence.
		log = "[GetDateText]: [This.GetName]: china.34.b executed"
	}
}

#The Belt and Road Initiative has reached our shores!
country_event = {
	id = china.35
	title = china.35.t
	desc = china.35.d

	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = china.35.a #We are grateful to the PRC.
		log = "[GetDateText]: [This.GetName]: china.35.a executed"
	}
}

#China Gains Control of Sri Lankan Port
news_event = {
	id = china.36
	title = china.36.t
	desc = china.36.d

	picture = GFX_united_states_navy

	is_triggered_only = yes

	option = {
		trigger = { NOT = { has_government = democratic } }
		name = china.36.a #This is a good day for China.
		log = "[GetDateText]: [This.GetName]: china.36.a executed"
	}

	option = {
		trigger = { has_government = democratic }
		name = china.36.b #Sri Lankan sovereignty has been eroded!
		log = "[GetDateText]: [This.GetName]: china.36.b executed"
	}
}

#China Expels Foreign Interests
news_event = {
	id = china.37
	title = china.37.t
	desc = china.37.d

	picture = GFX_china_19th_national_congress

	is_triggered_only = yes

	option = {
		trigger = { NOT = { original_tag = CHI } }
		name = china.37.a #The Chinese have lost their senses!
		log = "[GetDateText]: [This.GetName]: china.37.a executed"
	}

	option = {
		trigger = { original_tag = CHI }
		name = china.37.b #The Chinese people are once again free from foreign oppression!
		log = "[GetDateText]: [This.GetName]: china.37.b executed"
	}
}

#China Demands Our Loyalty!
country_event = {
	id = china.38
	title = china.38.t
	desc = china.38.d

	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = china.38.a #We no longer have to submit to the Chinese!
		CHI = {
			create_wargoal = {
				type = puppet_wargoal_focus
				target = VIE
			}
		}
		ai_chance = {
			factor = 80
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 0 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 10 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 20 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 30 } }
			}
		}
		log = "[GetDateText]: [This.GetName]: china.38.a executed"
	}

	option = {
		name = china.38.b #We must accept this humiliation...
		CHI = { puppet = VIE }
		ai_chance = {
			factor = 20
			modifier = {
				factor = 2
				ROOT = {
					OR = {
						AND = {
							check_variable = { influence_array^0 = CHI }
							check_variable = { influence_array_val^0 > 19.999 }
						}
						AND = {
							check_variable = { influence_array^1 = CHI }
							check_variable = { influence_array_val^1 > 19.999 }
						}
						AND = {
							check_variable = { influence_array^2 = CHI }
							check_variable = { influence_array_val^2 > 19.999 }
						}
						AND = {
							check_variable = { influence_array^3 = CHI }
							check_variable = { influence_array_val^3 > 19.999 }
						}
					}
				}
			}
			modifier = {
				factor = 2
				ROOT = {
					OR = {
						AND = {
							check_variable = { influence_array^0 = CHI }
							check_variable = { influence_array_val^0 > 39.999 }
						}
						AND = {
							check_variable = { influence_array^1 = CHI }
							check_variable = { influence_array_val^1 > 39.999 }
						}
					}
				}
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < 0 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -10 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -20 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -30 } }
			}
			modifier = {
				factor = 4
				CHI = { has_completed_focus = CHI_End_US_Hegemony }
			}
		}
		log = "[GetDateText]: [This.GetName]: china.38.b executed"
	}
}

#China is Undermining Our International Position!
country_event = {

	id = china.39
	title = china.39.t
	desc = {
		text = china.39.d
		trigger = { original_tag = USA }
	}
	desc = {
		text = china.39.d_SOV
		trigger = { original_tag = SOV }
	}

	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		trigger = {
			OR = {
				original_tag = SOV
				AND = {
					original_tag = USA
					CHI = { has_completed_focus = CHI_A_Rival_Superpower }
				}
			}
		}
		name = china.39.a #We must strike now before it is too late!
		if = {
			limit = { original_tag = USA }
			effect_tooltip = {
				add_ideas = America_in_Decline
			}
		}
		else_if = {
			limit = { original_tag = SOV }
			effect_tooltip = {
				add_ideas = Russia_on_the_Wane
			}
		}
		declare_war_on = {
			type = topple_government
			target = CHI
		}
		ai_chance = {
			factor = 10
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 0 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 10 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 20 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 30 } }
			}
		}
		log = "[GetDateText]: [This.GetName]: china.39.a executed"
	}

	option = {
		name = china.39.b #War would be unwise...
		if = {
			limit = { original_tag = USA }
			effect_tooltip = {
				add_ideas = America_in_Decline
			}
		}
		else_if = {
			limit = { original_tag = SOV }
			effect_tooltip = {
				add_ideas = Russia_on_the_Wane
			}
		}
		ai_chance = {
			factor = 40
		}
		log = "[GetDateText]: [This.GetName]: china.39.b executed"
	}
}

#[CHI.GetLeader] Pledges to Hold Elections!
news_event = {

	id = china.40
	title = china.40.t
	desc = china.40.d

	picture = GFX_china_19th_national_congress

	is_triggered_only = yes

	option = {
		name = china.40.a #The CCP will not give up power that easily...
		log = "[GetDateText]: [This.GetName]: china.40.a executed"
	}
}

country_event = {

	id = china.41
	title = china.41.t
	desc = china.41.d

	hidden = yes

	trigger = {
		CHI = { has_elections = yes }
		CHI = { NOT = { has_completed_focus = CHI_Free_and_Fair_Elections } }
	}

	fire_only_once = yes

	option = {
		name = china.41.a
		every_country = { news_event = { hours = 6 id = china.40 } }
		log = "[GetDateText]: [This.GetName]: china.41.a executed"
	}

}

#Uighur uprising

country_event = {
	id = china.42
	title = china.42.t
	desc = china.42.d
	picture = GFX_politics_salafism
	is_triggered_only = yes

	trigger = {
		original_tag = CHI
		CHI = {
			controls_state = 592
			check_variable = {
				var = uighur_opinion
				value = 100
				compare = less_than
			}
			check_variable = {
				var = uighur_threat
				value = 90
				compare = greater_than
			}
		}
	}

	option = {
		name = china.42.a
		log = "[GetDateText]: [This.GetName]: china.42.a executed"
		CHI = {
			release = ETK
			add_stability = -0.1
		}
		ETK = {
			declare_war_on = { target = CHI type = annex_everything }
			load_oob = "ETK_uprising"
		}
		592 = { add_manpower = -1000000 }
		560 = { add_manpower = 500000 }
		588 = { add_manpower = 500000 }
	}
}

country_event = {

	id = china.43
	title = china.43.t
	desc = china.43.d

	picture = GFX_carrier2

	is_triggered_only = yes

	option = {
		name = china.43.a
		log = "[GetDateText]: [This.GetName]: china.43.a executed"
		custom_effect_tooltip = CHI_turkey_ask_patience_tt
		hidden_effect = {
			CHI = {
				country_event = china.44
			}
		}
	}

	option = {
		name = china.43.b
		log = "[GetDateText]: [This.GetName]: china.43.b executed"
		custom_effect_tooltip = CHI_turkey_negotiates_tt
		hidden_effect = {
			CHI = {
				country_event = china.52
			}
		}
	}

	option = {
		name = china.43.c
		log = "[GetDateText]: [This.GetName]: china.43.c executed"
		custom_effect_tooltip = CHI_turkey_reckless_tt
		hidden_effect = {
			CHI = {
				country_event = china.55
			}
		}
	}

}

country_event = {

	id = china.44
	title = china.44.t
	desc = china.44.d

	picture = GFX_carrier

	is_triggered_only = yes

	option = {
		name = china.44.a
		log = "[GetDateText]: [This.GetName]: china.44.a executed"
		custom_effect_tooltip = CHI_china_bribes_tt
		hidden_effect = {
			TUR = {
				country_event = china.45
			}
		}
	}

	option = {
		name = china.44.b
		log = "[GetDateText]: [This.GetName]: china.44.b executed"
		custom_effect_tooltip = CHI_turkey_pressured_tt
		add_political_power = -10
		hidden_effect = {
			TUR = {
				country_event = china.48
			}
		}
	}

	option = {
		name = china.44.c
		log = "[GetDateText]: [This.GetName]: china.44.c executed"
		custom_effect_tooltip = CHI_varyag_waits_tt
		add_political_power = -1
		hidden_effect = {
			country_event = { id = china.54 days = 730 }
		}
	}

}

country_event = {

	id = china.45
	title = china.45.t
	desc = china.45.d

	picture = GFX_bosphorus

	is_triggered_only = yes

	option = {
		name = china.45.a
		log = "[GetDateText]: [This.GetName]: china.45.a executed"
		custom_effect_tooltip = CHI_varyag_six_months_tt
		add_political_power = 75
		hidden_effect = {
			CHI = {
				country_event = china.46
			}
		}
	}

	option = {
		name = china.45.b
		log = "[GetDateText]: [This.GetName]: china.45.b executed"
		custom_effect_tooltip = CHI_varyag_waits_tt
		add_political_power = -1
		hidden_effect = {
			country_event = china.47
		}
	}
}

country_event = {

	id = china.46
	title = china.46.t
	desc = china.46.d

	is_triggered_only = yes

	option = {
		name = china.46.a
		log = "[GetDateText]: [This.GetName]: china.46.a executed"
		custom_effect_tooltip = CHI_varyag_six_months_continue_tt
		add_political_power = -74
		hidden_effect = {
			country_event = { id = china.56 days = 182 }
		}
	}

	option = {
		name = china.46.b
		log = "[GetDateText]: [This.GetName]: china.46.b executed"
		custom_effect_tooltip = CHI_varyag_six_months_continue_tt
		add_political_power = -75
		add_stability = 0.001
		hidden_effect = {
			country_event = { id = china.56 days = 182 }
		}
	}
}

country_event = {

	id = china.47
	title = china.47.t
	desc = china.47.d

	is_triggered_only = yes

	option = {
		name = china.47.a
		log = "[GetDateText]: [This.GetName]: china.54.a executed"
		custom_effect_tooltip = CHI_varyag_two_years_tt
		hidden_effect = {
			country_event = { id = china.54 days = 730 }
		}
	}
}

country_event = {

	id = china.48
	title = china.48.t
	desc = china.48.d

	is_triggered_only = yes

	option = {
		name = china.48.a
		log = "[GetDateText]: [This.GetName]: china.48.a executed"
		trigger = {
			TUR = {
				OR = {
					AND = {
						check_variable = { influence_array^0 = CHI }
						check_variable = { influence_array_val^0 > 4.99 }
					}
					AND = {
						check_variable = { influence_array^1 = CHI }
						check_variable = { influence_array_val^1 > 4.99 }
					}
					AND = {
						check_variable = { influence_array^2 = CHI }
						check_variable = { influence_array_val^2 > 4.99 }
					}
					AND = {
						check_variable = { influence_array^3 = CHI }
						check_variable = { influence_array_val^3 > 4.99 }
					}
					AND = {
						check_variable = { influence_array^4 = CHI }
						check_variable = { influence_array_val^4 > 4.99 }
					}
					AND = {
						check_variable = { influence_array^5 = CHI }
						check_variable = { influence_array_val^5 > 4.99 }
					}
					AND = {
						check_variable = { influence_array^6 = CHI }
						check_variable = { influence_array_val^6 > 4.99 }
					}
				}
			}
		}
		custom_effect_tooltip = CHI_accept_pressure_tt
		CHI = {
			add_opinion_modifier = {
				target = TUR
				modifier = supports_us_2
			}
		}
		hidden_effect = {
			set_temp_variable = { percent_change = 2 }
			set_temp_variable = { tag_index = CHI.id }
			set_temp_variable = { influence_target = THIS.id }
			change_influence_percentage = yes
			CHI = {
				country_event = { id = china.49 days = 3 }
			}
		}
	}

	option = {
		name = china.48.b
		log = "[GetDateText]: [This.GetName]: china.48.b executed"
		custom_effect_tooltip = CHI_varyag_six_months_continue_tt
		add_political_power = -25
		hidden_effect = {
			CHI = {
				country_event = { id = china.50 days = 3 }
			}
		}
	}

	option = {
		name = china.48.c
		log = "[GetDateText]: [This.GetName]: china.48.c executed"
		trigger = {
			TUR = {
				OR = {
					AND = {
						check_variable = { influence_array^0 = CHI }
						check_variable = { influence_array_val^0 < 10 }
					}
					AND = {
						check_variable = { influence_array^1 = CHI }
						check_variable = { influence_array_val^1 < 10 }
					}
					AND = {
						check_variable = { influence_array^2 = CHI }
						check_variable = { influence_array_val^2 < 10 }
					}
					AND = {
						check_variable = { influence_array^3 = CHI }
						check_variable = { influence_array_val^3 < 10 }
					}
					AND = {
						check_variable = { influence_array^4 = CHI }
						check_variable = { influence_array_val^4 < 10 }
					}
					AND = {
						check_variable = { influence_array^5 = CHI }
						check_variable = { influence_array_val^5 < 10 }
					}
					AND = {
						check_variable = { influence_array^6 = CHI }
						check_variable = { influence_array_val^6 < 10 }
					}
				}
			}
		}
		custom_effect_tooltip = CHI_resist_pressure_tt
		CHI = {
			add_opinion_modifier = {
				target = TUR
				modifier = major_breach_of_trust
			}
		}
		hidden_effect = {
			CHI = {
				country_event = { id = china.51 days = 3 }
			}
		}
	}
}

country_event = {

	id = china.49
	title = china.49.t
	desc = china.49.d

	is_triggered_only = yes

	option = {
		name = china.49.a
		log = "[GetDateText]: [This.GetName]: china.49.a executed"
		add_political_power = 50
		hidden_effect = {
			country_event = { id = china.56 days = 14 }
		}
	}
}

country_event = {

	id = china.50
	title = china.50.t
	desc = china.50.d

	is_triggered_only = yes

	option = {
		name = china.50.a
		log = "[GetDateText]: [This.GetName]: china.50.a executed"
		hidden_effect = {
			country_event = { id = china.56 days = 172 }
		}
	}
}

country_event = {

	id = china.51
	title = china.51.t
	desc = china.51.d

	is_triggered_only = yes

	option = {
		name = china.51.a
		log = "[GetDateText]: [This.GetName]: china.51.a executed"
		hidden_effect = {
			country_event = { id = china.56 days = 1095 }
		}
	}
}

country_event = {

	id = china.52
	title = china.52.t
	desc = china.52.d

	is_triggered_only = yes

	option = {
		name = china.52.a
		log = "[GetDateText]: [This.GetName]: china.52.a executed"
		set_temp_variable = { treasury_change = -0.05 }
		modify_treasury_effect = yes
		add_political_power = -50
		hidden_effect = {
			TUR = {
				country_event = { id = china.53 days = 3 }
			}
		}
	}

	option = {
		name = china.52.b
		log = "[GetDateText]: [This.GetName]: china.52.b executed"
		custom_effect_tooltip = CHI_varyag_two_years_tt
		hidden_effect = {
			TUR = {
				country_event = { id = china.54 days = 3 }
			}
		}
	}
}

country_event = {

	id = china.53
	title = china.53.t
	desc = china.53.d

	is_triggered_only = yes

	option = {
		name = china.53.a
		log = "[GetDateText]: [This.GetName]: china.53.a executed"
		set_temp_variable = { treasury_change = 0.05 }
		modify_treasury_effect = yes
		add_political_power = 50
		custom_effect_tooltip = CHI_varyag_two_weeks_tt
		hidden_effect = {
			CHI = {
				country_event = { id = china.56 days = 14 }
			}
		}
	}
}

country_event = {

	id = china.54
	title = china.54.t
	desc = china.54.d

	is_triggered_only = yes

	option = {
		name = china.54.a
		log = "[GetDateText]: [This.GetName]: china.54.a executed"
		hidden_effect = {
			CHI = {
				country_event = { id = china.56 days = 730 }
			}
		}
	}
}

country_event = {

	id = china.55
	title = china.55.t
	desc = china.55.d

	picture = GFX_carrier

	is_triggered_only = yes

	option = {
		name = china.55.a
		log = "[GetDateText]: [This.GetName]: china.55.a executed"
		custom_effect_tooltip = CHI_turkey_reckless_tt
		hidden_effect = {
			random_list = {
				40 = {
					country_event = { id = china.56 days = 3 }
				}
				40 = {
					country_event = { id = china.57 days = 3 }
				}
				20 = {
					country_event = { id = china.58 days = 3 }
				}
			}
		}
	}

	option = {
		name = china.55.b
		log = "[GetDateText]: [This.GetName]: china.55.b executed"
		custom_effect_tooltip = CHI_varyag_six_months_continue_tt
		hidden_effect = {
			TUR = {
				country_event = { id = china.62 days = 1 }
			}
			country_event = { id = china.56 days = 172 }
		}
	}
}

country_event = {

	id = china.56
	title = china.56.t
	desc = china.56.d

	is_triggered_only = yes

	option = {
		name = china.56.a
		log = "[GetDateText]: [This.GetName]: china.56.a executed"
		hidden_effect = {
			TUR = {
				news_event = china.60
			}
			country_event = { id = china.64 days = 7 }
		}
	}
}

country_event = {

	id = china.57
	title = china.57.t
	desc = china.57.d

	is_triggered_only = yes

	option = {
		name = china.57.a
		log = "[GetDateText]: [This.GetName]: china.5.a executed"
		hidden_effect = {
			TUR = {
				news_event = china.60
			}
		}
	}
}

country_event = {

	id = china.58
	title = china.58.t
	desc = china.58.d

	is_triggered_only = yes

	option = {
		name = china.58.a
		log = "[GetDateText]: [This.GetName]: china.58.a executed"
		add_political_power = -100
		hidden_effect = {
			every_country = { news_event = { hours = 6 id = china.59 } }
		}
	}
}

news_event = {

	id = china.59
	title = china.59.t
	desc = china.59.d

	picture = GFX_CHI_varyag_lost

	is_triggered_only = yes

	option = {
		name = china.59.a
		log = "[GetDateText]: [This.GetName]: china.59.a executed"
		hidden_effect = {
			TUR = {
				country_event = china.61
			}
		}
	}
}

news_event = {

	id = china.60
	title = china.60.t
	desc = china.60.d

	picture = GFX_CHI_varyag

	is_triggered_only = yes

	option = {
		name = china.60.a
		log = "[GetDateText]: [This.GetName]: china.60.a executed"
		add_political_power = 5
	}
}

country_event = {
	id = china.61
	title = china.61.t
	desc = china.61.d

	picture = GFX_bosphorus

	is_triggered_only = yes

	option = {
		name = china.61.a
		log = "[GetDateText]: [This.GetName]: china.61.a executed"
		set_global_flag = BOSPHORUS_BLOCKED
		unlock_decision_tooltip = rebuild_bosphorus_strait
	}
}

country_event = {
	id = china.62
	title = china.62.t
	desc = china.62.d

	is_triggered_only = yes

	option = {
		name = china.62.a
		log = "[GetDateText]: [This.GetName]: china.62.a executed"
	}
}

news_event = {

	id = china.63
	title = china.63.t
	desc = china.63.d

	picture = GFX_CHI_varyag

	is_triggered_only = yes

	option = {
		name = china.63.a
		log = "[GetDateText]: [This.GetName]: china.63.a executed"
		hidden_effect = {
			TUR = {
				country_event = { id = china.43 days = 90 }
			}
		}
	}
}

country_event = {

	id = china.64
	title = china.64.t
	desc = china.64.d

	is_triggered_only = yes

	option = {
		name = china.64.a
		log = "[GetDateText]: [This.GetName]: china.64.a executed"
		add_manpower = -1
		custom_effect_tooltip = CHI_varyag_five_months_tt
		hidden_effect = {
			country_event = { id = china.65 days = 160 }
		}
	}
}

country_event = {

	id = china.65
	title = china.65.t
	desc = china.65.d

	is_triggered_only = yes

	option = {
		name = china.65.a
		log = "[GetDateText]: [This.GetName]: china.65.a executed"
		hidden_effect = {
			create_equipment_variant = {
				name = "Liaoning Class"
				type = carrier_hull_2
				name_group = CHI_CV_HISTORICAL
				parent_version = 0
				modules = {
					fixed_ship_engine_slot = module_surface_oil_power
					fixed_ship_fire_control_system_slot = module_digital_integrated_fire_control
					fixed_ship_radar_slot = module_radar_3
					fixed_ship_auxillary_slot_2 = module_ciws_2
					fixed_ship_auxillary_slot_1 = module_ciws_2
					fixed_ship_auxillary_slot = module_ciws_2
					fixed_ship_flight_deck = module_flight_deck_2
					front_1_custom_slot = module_vls_asm_2
					front_2_custom_slot = module_vls_sam_2
					mid_1_custom_slot = module_vls_sam_2
					mid_2_custom_slot = module_helipads_1
				}
			}
			add_equipment_production = {
				equipment = {
					type = carrier_hull_2
					creator = "CHI"
					version_name = "Liaoning Class"
				}
				requested_factories = 1
				progress = 0.23
				amount = 1
			}
		}
		custom_effect_tooltip = CHI_varyag_construction_tt
		add_tech_bonus = {
			name = carrier_techs
			bonus = 1
			category = Cat_CARRIER
		}
		navy_experience = 25
	}

	option = {
		name = china.65.b
		log = "[GetDateText]: [This.GetName]: china.65.a executed"
		set_temp_variable = { modify_chinese_aggression = -1 }
		CHI_modify_chinese_aggression = yes
		add_political_power = 25
		add_stability = 0.005
		set_temp_variable = { treasury_change = 5 }
		modify_treasury_effect = yes
	}
}

#Mongolia: China offers SAR status
country_event = {
	id = china.66
	immediate = { log = "[GetDateText]: [Root.GetName]: event china.66" }
	title = china.66.t
	desc = china.66.d
	picture = GFX_CHI_generic
	is_triggered_only = yes

	option = {
		name = china.66.o1
		log = "[GetDateText]: [This.GetName]: china.66.o1 executed"
		ai_chance = {
			factor = 75
		}
		CHI = { add_stability = 0.05
			    set_autonomy = {
				target = MON
				autonomy_state = autonomy_special_administrative_region
			}
			set_temp_variable = { temp_opinion = 2 }
			change_communist_cadres_opinion = yes
			}
			MON = {
				#set_cosmetic_tag = MON_SAR
				clr_country_flag = dynamic_flag
				add_ideas = Non_State_Actor
			}
				if = {
					limit = { has_government = communism }
					MON = {
						set_popularities = {
							democratic = 0.0
							communism = 51.0
							fascism = 0.0
							neutrality = 8.0
							nationalist = 41.0
						}
						set_variable = { party_pop_array^4 = 0.40 } #Communist
						set_variable = { party_pop_array^5 = 0.04 } #Socialist
						set_variable = { party_pop_array^6 = 0.06 } #Reactionary
						set_variable = { party_pop_array^19 = 0.08 } #Maoist
						set_variable = { party_pop_array^20 = 0.03 } #Populist
						set_variable = { party_pop_array^23 = 0.39 } #Monarchist
						clear_array = ruling_party
						clear_array = gov_coalition_array
						add_to_array = { ruling_party = 4 }
						if = {
							limit = { CHI = { has_elections = no }}
							set_politics = {
								ruling_party = communism
								elections_allowed = no
							}
						}
						else = {
							set_politics = {
								ruling_party = communism
								elections_allowed = yes
							}
						}
						update_government_coalition_strength = yes
						update_party_name = yes
						set_coalition_drift = yes
						recalculate_party = yes
					}
				}
				else_if = {
					limit = { has_government = democratic }
					MON = {
						set_popularities = {
							democratic = 44.0
							communism = 0.0
							fascism = 0.0
							neutrality = 15.0
							nationalist = 41.0
						}
						set_variable = { party_pop_array^1 = 0.34 } #conservatism
						set_variable = { party_pop_array^3 = 0.10 } #social
						set_variable = { party_pop_array^19 = 0.15 } #Maoist
						set_variable = { party_pop_array^20 = 0.02 } #Populist
						set_variable = { party_pop_array^23 = 0.39 } #Monarchist
						clear_array = ruling_party
						clear_array = gov_coalition_array
						add_to_array = { ruling_party = 1 }
						set_politics = {
							ruling_party = democratic
							elections_allowed = yes
						}
						update_government_coalition_strength = yes
						update_party_name = yes
						set_coalition_drift = yes
						recalculate_party = yes
					}
				}
				else_if = {
					limit = { has_government = neutrality }
					MON = {
						set_popularities = {
							democratic = 0.0
							communism = 0.0
							fascism = 0.0
							neutrality = 59.0
							nationalist = 41.0
						}
						set_variable = { party_pop_array^14 = 0.31 } #Neutral_conservatism
						set_variable = { party_pop_array^18 = 0.10 } #social
						set_variable = { party_pop_array^19 = 0.18 } #Maoist
						set_variable = { party_pop_array^20 = 0.02 } #Populist
						set_variable = { party_pop_array^23 = 0.39 } #Monarchist
						clear_array = ruling_party
						clear_array = gov_coalition_array
						add_to_array = { ruling_party = 14 }
						set_politics = {
							ruling_party = neutrality
							elections_allowed = yes
						}
						update_government_coalition_strength = yes
						update_party_name = yes
						set_coalition_drift = yes
						recalculate_party = yes
					}
				}
				else_if = {
					limit = { has_government = nationalist }
					MON = {
						set_popularities = {
							democratic = 0.0
							communism = 0.0
							fascism = 0.0
							neutrality = 24.0
							nationalist = 76.0
						}
						set_variable = { party_pop_array^18 = 0.06 } #social
						set_variable = { party_pop_array^19 = 0.18 } #Maoist
						set_variable = { party_pop_array^22 = 0.37 } #Nat_Autocracy
						set_variable = { party_pop_array^23 = 0.39 } #Monarchist
						clear_array = ruling_party
						clear_array = gov_coalition_array
						add_to_array = { ruling_party = 22 }
						if = {
							limit = { CHI = { has_elections = no }}
							set_politics = {
								ruling_party = nationalist
								elections_allowed = no
							}
						}
						else = {
							set_politics = {
								ruling_party = nationalist
								elections_allowed = yes
							}
						}
						update_government_coalition_strength = yes
						update_party_name = yes
						set_coalition_drift = yes
						recalculate_party = yes
					}
				}

			every_country = {
				news_event = {
					id = china.67
				}
			}
	}

	option = {
		name = china.66.o2
		log = "[GetDateText]: [This.GetName]: china.66.o2 executed"
		ai_chance = {
			factor = 25
			modifier = {
				is_historical_focus_on = yes
				factor = 0
			}
		}
		CHI = { add_opinion_modifier = { target = MON modifier = betrayed_our_cause } }
		CHI = { country_event = { id = china.68 } }
	}
}

#The Outer Mongolian Special Administrative Region is Established
news_event = {
	id = china.67
	title = china.67.t
	desc = china.67.d

	picture = GFX_trade_agreement

	is_triggered_only = yes

	option = {
		name = china.67.a
		log = "[GetDateText]: [This.GetName]: china.67.a executed"
	}
}

#Mongolia refuses!
country_event = {
	id = china.68
	immediate = { log = "[GetDateText]: [Root.GetName]: event china.68" }
	title = china.68.t
	desc = china.68.d
	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = china.68.o1
		log = "[GetDateText]: [This.GetName]: china.68.o1 executed"
		effect_tooltip = {
			add_opinion_modifier = { target = MON modifier = betrayed_our_cause }
		}
			CHI = {
				create_wargoal = {
					target = MON
					type = annex_everything
				}
			}
	}
}


###SOUTH CHINA SEA
#China wins clash
country_event = {
	id = south_china_sea_clash.1
	title = south_china_sea_clash.1.t

	desc = {
		text = south_china_sea_clash.1.d
		trigger = { original_tag = CHI }
	}
	desc = {
		text = south_china_sea_clash.1.d_loser
		trigger = { NOT = { original_tag = CHI } }
	}

	picture = GFX_burning_oil_refinery

	is_triggered_only = yes

	option = {
		trigger = { original_tag = CHI }
		name = south_china_sea_clash.1.a #We are victorious!
		army_experience = 20
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.1.a executed"
	}

	option = {
		trigger = { NOT = { original_tag = CHI } }
		name = south_china_sea_clash.1.b #We condemn China's aggression!
		add_political_power = -100
		ai_chance = {
			factor = 40
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.1.b executed"
	}

	option = {
		trigger = { NOT = { original_tag = CHI } }
		name = south_china_sea_clash.1.c #This means war!
		create_wargoal = {
			type = take_state
			target = CHI
			generator = { 526 }
		}
		ai_chance = {
			factor = 5
			modifier = {
				factor = 2
				threat > 0.3
			}
			modifier = {
				factor = 2
				original_tag = VIE
			}
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.1.c executed"
	}
}

#China loses clash - Vietnam
country_event = {
	id = south_china_sea_clash.2
	title = south_china_sea_clash.2.t

	desc = {
		text = south_china_sea_clash.2.d
		trigger = { NOT = { original_tag = CHI } }
	}
	desc = {
		text = south_china_sea_clash.2.d_loser
		trigger = { original_tag = CHI }
	}

	picture = GFX_burning_oil_refinery

	is_triggered_only = yes

	option = {
		trigger = { NOT = { original_tag = CHI } }
		name = south_china_sea_clash.2.a #We are victorious!
		army_experience = 20
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.2.a executed"
	}

	option = {
		trigger = { original_tag = CHI }
		name = south_china_sea_clash.2.b #We must admit defeat...
		add_political_power = -100
		ai_chance = {
			factor = 40
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.2.b executed"
	}

	option = {
		trigger = { original_tag = CHI }
		name = south_china_sea_clash.1.c #China will not be defeated!
		create_wargoal = {
			type = take_state
			target = VIE
			generator = { 801 }
		}
		set_temp_variable = { modify_chinese_aggression = 10 }
		CHI_modify_chinese_aggression = yes
		ai_chance = {
			factor = 10
			modifier = {
				factor = 1000
				has_global_flag = PRC_RED_DAWN_FOCUS_PATH
			}
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.1.c executed"
	}
}

#The clash ends in a draw
country_event = {
	id = south_china_sea_clash.3
	title = south_china_sea_clash.3.t

	desc = south_china_sea_clash.3.d

	picture = GFX_burning_oil_refinery

	is_triggered_only = yes

	option = {
		name = south_china_sea_clash.3.a #Peace, for now...
		add_political_power = -50
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.3.a executed"
	}
}

#China loses clash - Philippines
country_event = {
	id = south_china_sea_clash.4
	title = south_china_sea_clash.4.t

	desc = {
		text = south_china_sea_clash.4.d
		trigger = { NOT = { original_tag = CHI } }
	}
	desc = {
		text = south_china_sea_clash.4.d_loser
		trigger = { original_tag = CHI }
	}

	picture = GFX_burning_oil_refinery

	is_triggered_only = yes

	option = {
		trigger = { NOT = { original_tag = CHI } }
		name = south_china_sea_clash.4.a #We are victorious!
		army_experience = 20
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.4.a executed"
	}

	option = {
		trigger = { original_tag = CHI }
		name = south_china_sea_clash.4.b #We must admit defeat...
		add_political_power = -100
		ai_chance = {
			factor = 40
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.4.b executed"
	}

	option = {
		trigger = { original_tag = CHI }
		name = south_china_sea_clash.4.c #China will not be defeated!
		create_wargoal = {
			type = take_state
			target = PHI
			generator = { 802 }
		}
		set_temp_variable = { modify_chinese_aggression = 10 }
		CHI_modify_chinese_aggression = yes
		ai_chance = {
			factor = 10
			modifier = {
				factor = 1000
				has_global_flag = PRC_RED_DAWN_FOCUS_PATH
			}
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.4.c executed"
	}
}

#China loses clash
country_event = {
	id = south_china_sea_clash.5
	title = south_china_sea_clash.5.t

	desc = {
		text = south_china_sea_clash.5.d
		trigger = { NOT = { original_tag = CHI } }
	}
	desc = {
		text = south_china_sea_clash.5.d_loser
		trigger = { original_tag = CHI }
	}

	picture = GFX_burning_oil_refinery

	is_triggered_only = yes

	option = {
		trigger = { NOT = { original_tag = CHI } }
		name = south_china_sea_clash.5.a #We are victorious!
		army_experience = 20
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.5.a executed"
	}

	option = {
		trigger = { original_tag = CHI }
		name = south_china_sea_clash.5.b #We must admit defeat...
		add_political_power = -100
		ai_chance = {
			factor = 40
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.5.b executed"
	}

	option = {
		trigger = { original_tag = CHI }
		name = south_china_sea_clash.5.c #China will not be defeated!
		create_wargoal = {
			type = take_state
			target = MAY
			generator = { 816 }
		}
		set_temp_variable = { modify_chinese_aggression = 10 }
		CHI_modify_chinese_aggression = yes
		ai_chance = {
			factor = 10
			modifier = {
				factor = 1000
				has_global_flag = PRC_RED_DAWN_FOCUS_PATH
			}
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.5.c executed"
	}
}

#Spratly Islands Confrontation
news_event = {

	id = south_china_sea_clash.6
	title = south_china_sea_clash.6.t

	desc = {
		text = south_china_sea_clash.6.d_VIE
		trigger = { VIE = { has_country_flag = confrontation_target } }
	}

	desc = {
		text = south_china_sea_clash.6.d_PHI
		trigger = { PHI = { has_country_flag = confrontation_target } }
	}

	desc = {
		text = south_china_sea_clash.6.d_MAY
		trigger = { MAY = { has_country_flag = confrontation_target } }
	}

	is_triggered_only = yes

	picture = GFX_united_states_navy

	option = {
		trigger = { NOT = { has_country_flag = confrontation_target } }
		name = south_china_sea_clash.6.a #Let's see how this plays out...
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.6.a executed"
	}

	option = {
		trigger = { has_country_flag = confrontation_target }
		name = south_china_sea_clash.6.b #We should deploy troops to the Spratlys immediately!
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.6.b executed"
	}
}

#China has conducted provocative fleet exercises in the South China Sea!
country_event = {
	id = south_china_sea_clash.7
	title = south_china_sea_clash.7.t
	desc = south_china_sea_clash.7.d

	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = south_china_sea_clash.7.a #We cannot afford to antagonize the Chinese...
		add_political_power = -100
		ai_chance = {
			factor = 20
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < 0 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -10 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -20 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -30 } }
			}
			modifier = {
				factor = 4
				CHI = { has_completed_focus = CHI_End_US_Hegemony }
			}
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.7.a executed"
	}

	option = {
		name = south_china_sea_clash.7.b #Launch a Freedom of Navigation operation
		CHI = {
			add_opinion_modifier = {
				target = ROOT
				modifier = criticized_us
			}
			country_event = { id = south_china_sea_clash.8 }
		}
		ai_chance = {
			factor = 20
			modifier = {
				factor = 2
				threat > 0.1
			}
			modifier = {
				factor = 2
				threat > 0.3
			}
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.7.b executed"
	}
}

#The Americans are conducting aggressive patrols through our territorial waters!
country_event = {
	id = south_china_sea_clash.8
	title = south_china_sea_clash.8.t
	desc = south_china_sea_clash.8.d

	picture = GFX_USA_generic

	is_triggered_only = yes

	option = {
		name = south_china_sea_clash.8.a #We should not risk war over this issue...
		add_political_power = -100
		add_war_support = -0.05
		ai_chance = {
			factor = 20
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.8.a executed"
	}

	option = {
		name = south_china_sea_clash.8.b #Expel the imperialists!
		navy_experience = 10
		add_named_threat = { threat = 2 name = south_china_sea_clash.6.t }
		USA = {
			destroy_ships = {
				type = destroyer
				count = 1
			}
			country_event = { id = south_china_sea_clash.9 }
		}
		every_other_country = {
			limit = { NOT = { original_tag = USA } }
			news_event = { id = south_china_sea_clash.11 }
		}
		set_temp_variable = { modify_chinese_aggression = 5 }
		CHI_modify_chinese_aggression = yes
		ai_chance = {
			factor = 1
			modifier = {
				factor = 0
				is_historical_focus_on = yes
			}
			modifier = {
				factor = 1000
				has_global_flag = PRC_RED_DAWN_FOCUS_PATH
			}
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.8.b executed"
	}
}

#China has attacked our freedom of navigation patrol!
country_event = {
	id = south_china_sea_clash.9
	title = south_china_sea_clash.9.t
	desc = south_china_sea_clash.9.d

	picture = GFX_uss_cole_bombing

	is_triggered_only = yes

	option = {
		name = south_china_sea_clash.9.a #We should not escalate the situation...
		add_political_power = -200
		add_war_support = -0.05
		ai_chance = {
			factor = 20
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < 0 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -10 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -20 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -30 } }
			}
			modifier = {
				factor = 4
				CHI = { has_completed_focus = CHI_End_US_Hegemony }
			}
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.9.a executed"
	}

	option = {
		name = south_china_sea_clash.9.b #This aggression must be punished!
		create_wargoal = {
			type = topple_government
			target = CHI
		}
		ai_chance = {
			factor = 20
			modifier = {
				factor = 2
				threat > 0.3
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 0 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 10 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 20 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 30 } }
			}
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.9.b executed"
	}
}

#The Fate of the Paracel Islands
country_event = {
	id = south_china_sea_clash.10
	title = south_china_sea_clash.10.t
	desc = south_china_sea_clash.10.d

	picture = GFX_politics_negotiations

	is_triggered_only = yes

	option = {
		name = south_china_sea_clash.10.a #We cannot afford to concede anything to the Vietnamese!
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.10.a executed"
	}

	option = {
		name = south_china_sea_clash.10.b #The Paracel islands can be shared.
		set_country_flag = paracel_deal
		VIE = {
			add_opinion_modifier = {
				target = CHI
				modifier = joint_resource_projects
			}
		}
		if = {
			limit = { has_country_flag = spratlys_deal_VIE }
			VIE = { remove_ideas = South_China_Sea_Dispute }
		}
		custom_effect_tooltip = south_china_sea_shared_vietnam_tt
		813 = {
			remove_claim_by = VIE
		}
		set_temp_variable = { modify_chinese_aggression = -1 }
		CHI_modify_chinese_aggression = yes
		ai_chance = {
			factor = 20
		}
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.10.b executed"
	}

	option = {
		name = south_china_sea_clash.10.c #We should give up control of the islands.
		VIE = {
			transfer_state = 813
		}
		set_country_flag = paracel_deal
		if = {
			limit = { has_country_flag = spratlys_deal_VIE }
			VIE = { remove_ideas = South_China_Sea_Dispute }
		}
		set_temp_variable = { modify_chinese_aggression = -2 }
		CHI_modify_chinese_aggression = yes
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.10.c executed"
	}
}

#China and America clash in the South China Sea
news_event = {
	id = south_china_sea_clash.11
	title = south_china_sea_clash.11.t
	desc = south_china_sea_clash.11.d

	picture = GFX_united_states_navy

	is_triggered_only = yes

	option = {
		name = south_china_sea_clash.11.a #Truly a clash of titans.
		log = "[GetDateText]: [This.GetName]: south_china_sea_clash.11.a executed"
	}
}

#Bhutanese sovereignty is being violated!
country_event = {
	id = sino_indian.1
	title = sino_indian.1.t
	desc = sino_indian.1.d

	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = sino_indian.1.a #We should send troops to stop this incursion!
		trigger = { original_tag = RAJ }
		add_war_support = 0.02
		CHI = {
			country_event = { id = sino_indian.3 }
			add_opinion_modifier = { target = RAJ modifier = resisted_territorial_ambition }
		}
		ai_chance = {
			factor = 60
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 0 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 10 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 20 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression > 30 } }
			}
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.1.a executed"
	}

	option = {
		name = sino_indian.1.b #We can do nothing...
		trigger = {
			OR = {
				original_tag = RAJ
				AND = {
					original_tag = BHU
					NOT = {
						RAJ = { has_guaranteed = BHU }
					}
				}
			}
		}
		add_political_power = -50
		if = {
			limit = { NOT = { original_tag = BHU } }
			BHU = { country_event = { id = sino_indian.2 } }
			diplomatic_relation = {
				country = BHU
				relation = guarantee
				active = no
			}
		}
		else = {
			set_temp_variable = { percent_change = 3 }
			set_temp_variable = { tag_index = CHI.id }
			set_temp_variable = { influence_target = THIS.id }
			change_influence_percentage = yes
			every_other_country = { news_event = { id = sino_indian.4 } }
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.1.b executed"
		ai_chance = {
			factor = 20
			modifier = {
				factor = 2
				ROOT = {
					OR = {
						AND = {
							check_variable = { influence_array^0 = CHI }
							check_variable = { influence_array_val^0 > 19.999 }
						}
						AND = {
							check_variable = { influence_array^1 = CHI }
							check_variable = { influence_array_val^1 > 19.999 }
						}
						AND = {
							check_variable = { influence_array^2 = CHI }
							check_variable = { influence_array_val^2 > 19.999 }
						}
						AND = {
							check_variable = { influence_array^3 = CHI }
							check_variable = { influence_array_val^3 > 19.999 }
						}
					}
				}
			}
			modifier = {
				factor = 2
				ROOT = {
					OR = {
						AND = {
							check_variable = { influence_array^0 = CHI }
							check_variable = { influence_array_val^0 > 39.999 }
						}
						AND = {
							check_variable = { influence_array^1 = CHI }
							check_variable = { influence_array_val^1 > 39.999 }
						}
					}
				}
			}
		}
	}

	option = {
		name = sino_indian.1.c #Our protectors will come to our defence.
		trigger = { original_tag = BHU RAJ = { has_guaranteed = BHU } }
		log = "[GetDateText]: [This.GetName]: sino_indian.1.c executed"
	}

	option = {
		name = sino_indian.1.e #We must defend ourselves!
		trigger = {
			original_tag = BHU
			NOT = { RAJ = { has_guaranteed = BHU } }
		}
		add_war_support = 0.02
		CHI = {
			country_event = { id = sino_indian.3 }
			add_opinion_modifier = { target = BHU modifier = resisted_territorial_ambition }
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.1.e executed"
	}
}

#It appears that our protectors have abandoned us...
country_event = {
	id = sino_indian.2
	title = sino_indian.2.t
	desc = sino_indian.2.d

	picture = GFX_RAJ_generic

	is_triggered_only = yes

	option = {
		name = sino_indian.2.a #We can do nothing...
		add_political_power = -50
		set_temp_variable = { percent_change = 3 }
		set_temp_variable = { tag_index = CHI.id }
		set_temp_variable = { influence_target = THIS.id }
		change_influence_percentage = yes
		every_other_country = { news_event = { id = sino_indian.4 } }
		log = "[GetDateText]: [This.GetName]: sino_indian.2.a executed"
		ai_chance = {
			factor = 20
			modifier = {
				factor = 2
				ROOT = {
					OR = {
						AND = {
							check_variable = { influence_array^0 = CHI }
							check_variable = { influence_array_val^0 > 19.999 }
						}
						AND = {
							check_variable = { influence_array^1 = CHI }
							check_variable = { influence_array_val^1 > 19.999 }
						}
						AND = {
							check_variable = { influence_array^2 = CHI }
							check_variable = { influence_array_val^2 > 19.999 }
						}
						AND = {
							check_variable = { influence_array^3 = CHI }
							check_variable = { influence_array_val^3 > 19.999 }
						}
					}
				}
			}
			modifier = {
				factor = 2
				ROOT = {
					OR = {
						AND = {
							check_variable = { influence_array^0 = CHI }
							check_variable = { influence_array_val^0 > 39.999 }
						}
						AND = {
							check_variable = { influence_array^1 = CHI }
							check_variable = { influence_array_val^1 > 39.999 }
						}
					}
				}
			}
		}
	}

	option = {
		name = sino_indian.2.b #We must defend ourselves!
		add_war_support = 0.02
		CHI = {
			country_event = { id = sino_indian.3 }
			add_opinion_modifier = { target = BHU modifier = resisted_territorial_ambition }
		}
		ai_chance = {
			factor = 60
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.2.b executed"
	}
}

#[FROM.GetName] has deployed troops to halt our road construction
country_event = {
	id = sino_indian.3
	title = sino_indian.3.t
	desc = sino_indian.3.d

	picture = GFX_RAJ_generic

	is_triggered_only = yes

	option = {
		name = sino_indian.3.a #We should disengage.
		BHU = {
			set_temp_variable = { percent_change = 1 }
			set_temp_variable = { tag_index = CHI.id }
			set_temp_variable = { influence_target = THIS.id }
			change_influence_percentage = yes
		}
		every_other_country = { news_event = { id = sino_indian.5 } }
		ai_chance = {
			factor = 60
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.3.a executed"
	}

	option = {
		name = sino_indian.3.b #We should stand our ground!
		if = {
			limit = { RAJ = { has_guaranteed = BHU } }
			RAJ = { add_opinion_modifier = { target = CHI modifier = territorial_violation } }
			start_border_war = {
				change_state_after_war = no
				attacker = {
					state = 589
					num_provinces = 2
					on_win = sino_indian.6
					on_lose = sino_indian.7
					on_cancel = sino_indian.8
				}
				defender = {
					state = 455
					num_provinces = 1
					on_win = sino_indian.7
					on_lose = sino_indian.6
					on_cancel = sino_indian.8
				}
			}
		}
		else = {
			start_border_war = {
				change_state_after_war = no
				attacker = {
					state = 589
					num_provinces = 2
					on_win = sino_indian.6
					on_lose = sino_indian.7
					on_cancel = sino_indian.8
				}
				defender = {
					state = 484
					num_provinces = 2
					on_win = sino_indian.7
					on_lose = sino_indian.6
					on_cancel = sino_indian.8
				}
			}
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.3.b executed"
		ai_chance = {
			factor = 20
			modifier = {
				factor = 3
				has_global_flag = PRC_CHINESE_HEGEMONY_FOCUS_PATH
			}
			modifier = {
				factor = 1000
				has_global_flag = PRC_RED_DAWN_FOCUS_PATH
			}
		}
	}
}

#China Extends its Influence over Bhutan
news_event = {
	id = sino_indian.4
	title = sino_indian.4.t
	desc = sino_indian.4.d

	picture = GFX_china_indian_border_skirmish

	is_triggered_only = yes

	option = {
		name = sino_indian.4.a #China is pushing outwards.
		BHU = {
			effect_tooltip = {
				set_temp_variable = { percent_change = 3 }
				set_temp_variable = { tag_index = CHI }
				set_temp_variable = { influence_target = BHU }

				change_influence_percentage = yes
			}
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.4.a executed"
	}
}

#China has Disengaged from Bhutan
news_event = {
	id = sino_indian.5
	title = sino_indian.5.t
	desc = sino_indian.5.d

	picture = GFX_china_indian_border_skirmish

	is_triggered_only = yes

	option = {
		name = sino_indian.5.a #China has backed down, for now.
		log = "[GetDateText]: [This.GetName]: sino_indian.5.a executed"
	}
}

#China has Won the Doklam Clash!
news_event = {
	id = sino_indian.6
	title = sino_indian.6.t

	desc = {
		text = sino_indian.6.d
		trigger = { original_tag = CHI }
	}

	desc = {
		text = sino_indian.6.d_RAJ
		trigger = { NOT = { original_tag = CHI } }
	}

	picture = GFX_china_indian_border_skirmish

	is_triggered_only = yes

	option = {
		name = sino_indian.6.a #A glorious victory!
		trigger = { original_tag = CHI }
		army_experience = 25
		BHU = {
			set_temp_variable = { percent_change = 3 }
			set_temp_variable = { tag_index = CHI.id }
			set_temp_variable = { influence_target = THIS.id }
			change_influence_percentage = yes
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.6.a executed"
	}

	option = {
		name = sino_indian.6.b #A humiliating defeat...
		trigger = { NOT = { original_tag = CHI } }
		add_political_power = -100
		effect_tooltip = {
			BHU = {
				set_temp_variable = { percent_change = 3 }
				set_temp_variable = { tag_index = CHI.id }
				set_temp_variable = { influence_target = THIS.id }
				change_influence_percentage = yes
			}
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.6.b executed"
	}
}

#China has Lost the Doklam Clash!
news_event = {
	id = sino_indian.7
	title = sino_indian.7.t

	desc = {
		text = sino_indian.7.d
		trigger = { original_tag = CHI }
	}

	desc = {
		text = sino_indian.7.d_RAJ
		trigger = { NOT = { original_tag = CHI } }
	}

	picture = GFX_china_indian_border_skirmish

	is_triggered_only = yes

	option = {
		name = sino_indian.7.a #A glorious victory!
		trigger = { NOT = { original_tag = CHI } }
		army_experience = 25
		log = "[GetDateText]: [This.GetName]: sino_indian.7.a executed"
	}

	option = {
		name = sino_indian.7.b #A humiliating defeat...
		trigger = { original_tag = CHI }
		add_political_power = -100
		log = "[GetDateText]: [This.GetName]: sino_indian.7.b executed"
	}
}

#The Doklam Clash Ends Inconclusively
news_event = {
	id = sino_indian.8
	title = sino_indian.8.t
	desc = sino_indian.8.d

	picture = GFX_china_indian_border_skirmish

	is_triggered_only = yes

	option = {
		name = sino_indian.8.a #Peace, for now...
		log = "[GetDateText]: [This.GetName]: sino_indian.8.a executed"
	}
}

#China has taken Arunachal Pradesh!
news_event = {
	id = sino_indian.9
	title = sino_indian.9.t

	desc = {
		text = sino_indian.9.d
		trigger = { original_tag = CHI }
	}

	desc = {
		text = sino_indian.9.d_RAJ
		trigger = { NOT = { original_tag = CHI } }
	}

	picture = GFX_china_indian_border_skirmish

	is_triggered_only = yes

	option = {
		name = sino_indian.9.a #A glorious victory!
		trigger = { original_tag = CHI }
		CHI = { transfer_state = 475 }
		army_experience = 25
		log = "[GetDateText]: [This.GetName]: sino_indian.9.a executed"
	}

	option = {
		name = sino_indian.9.b #A humiliating defeat...
		trigger = { NOT = { original_tag = CHI } }
		add_political_power = -100
		log = "[GetDateText]: [This.GetName]: sino_indian.9.b executed"
	}
}

#China has failed to take Arunachal Pradesh!
news_event = {
	id = sino_indian.10
	title = sino_indian.10.t

	desc = {
		text = sino_indian.10.d
		trigger = { original_tag = CHI }
	}

	desc = {
		text = sino_indian.10.d_RAJ
		trigger = { NOT = { original_tag = CHI } }
	}

	picture = GFX_china_indian_border_skirmish

	is_triggered_only = yes

	option = {
		name = sino_indian.10.a #A glorious victory!
		trigger = { NOT = { original_tag = CHI } }
		army_experience = 25
		log = "[GetDateText]: [This.GetName]: sino_indian.10.a executed"
	}

	option = {
		name = sino_indian.10.b #A humiliating defeat...
		trigger = { original_tag = CHI }
		add_political_power = -100
		log = "[GetDateText]: [This.GetName]: sino_indian.10.b executed"
	}
}

#China is proposing a treaty to improve relations and resolve disputes
country_event = {
	id = sino_indian.11
	title = sino_indian.11.t
	desc = sino_indian.11.d

	picture = GFX_politics_negotiations

	is_triggered_only = yes

	option = {
		name = sino_indian.11.a #We should accept this historic offer!
		475 = { remove_core_of = FROM }
		591 = { remove_core_of = RAJ }
		add_opinion_modifier = {
			target = FROM
			modifier = declaration_of_friendship
		}
		FROM = {
			add_opinion_modifier = {
				target = RAJ
				modifier = declaration_of_friendship
			}
		}
		every_country = { news_event = { id = sino_indian.12 days = 2 } }
		ai_chance = {
			factor = 10
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -14 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -19 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -24 } }
			}
			modifier = {
				factor = 2
				CHI = { check_variable = { chinese_aggression < -29 } }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Disengage_from_Pakistan }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_End_Joint_Military_Exercises }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Strategic_Realignment }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Drop_Claims_on_Bhutan }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Signal_Willingness_to_Negotiate }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Joint_Development_Zones }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Negotiate_Maritime_Boundaries }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Respect_Nepalese_Neutrality }
			}
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.11.a executed"
	}

	option = {
		name = sino_indian.11.b #The Chinese are not to be trusted!
		ai_chance = {
			factor = 10
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Doklam_Road_Standoff }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Support_Nepals_Maoists }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Iron_Brothers }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Joint_Military_Projects }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Militarize_Gwadar_Port }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Yarlung_Tsangpo_Diversion_Project }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Enforce_the_9_Dash_Line }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Provocative_Fleet_Exercises }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Island_Building }
			}
			modifier = {
				factor = 2
				CHI = { has_completed_focus = CHI_Ramp_Up_Tensions }
			}
		}
		log = "[GetDateText]: [This.GetName]: sino_indian.11.b executed"
	}
}

#The Sino-Indian Treaty of Friendship
news_event = {
	id = sino_indian.12
	title = sino_indian.12.t
	desc = sino_indian.12.d

	picture = GFX_trade_agreement

	is_triggered_only = yes

	option = {
		name = sino_indian.12.a #A good day for peace and diplomacy!
		trigger = { NOT = { original_tag = PAK } }
		log = "[GetDateText]: [This.GetName]: sino_indian.12.a executed"
	}

	option = {
		name = sino_indian.12.b #An extremely worrying development...
		trigger = { original_tag = PAK }
		log = "[GetDateText]: [This.GetName]: sino_indian.12.b executed"
	}
}

#China Pivots Towards India
news_event = {
	id = sino_indian.13
	title = sino_indian.13.t
	desc = sino_indian.13.d

	picture = GFX_china_indian_border_skirmish

	is_triggered_only = yes

	option = {
		name = sino_indian.13.a #China is seeking new allies...
		trigger = { NOT = { original_tag = RAJ } }
		log = "[GetDateText]: [This.GetName]: sino_indian.13.a executed"
	}

	option = {
		name = sino_indian.13.b #What should we make of this?
		trigger = { original_tag = RAJ }
		log = "[GetDateText]: [This.GetName]: sino_indian.13.b executed"
	}
}

###SCO
#[FROM.GetName] has submitted an application for SCO observer status
country_event = {
	id = sco.1
	title = sco.1.t
	desc = sco.1.d

	picture = GFX_politics_negotiations

	is_triggered_only = yes

	option = {
		name = sco.1.a #We see no reason why their request should not be granted.
		log = "[GetDateText]: [This.GetName]: sco.1.a executed"
	}

	option = {
		name = sco.1.b #We cannot grant them this status!
		FROM = { set_country_flag = SCO_observer_status_rejected }
		log = "[GetDateText]: [This.GetName]: sco.1.b executed"
		ai_chance = {
			factor = 0
		}
	}
}

#[FROM.GetName] has submitted an application for SCO member status
country_event = {
	id = sco.2
	title = sco.2.t
	desc = sco.2.d

	picture = GFX_politics_negotiations

	is_triggered_only = yes

	option = {
		name = sco.2.a #We see no reason why their request should not be granted.
		log = "[GetDateText]: [This.GetName]: sco.1.a executed"
	}

	option = {
		name = sco.2.b #We cannot grant them this status!
		FROM = { set_country_flag = SCO_membership_rejected }
		log = "[GetDateText]: [This.GetName]: sco.2.b executed"
		ai_chance = {
			factor = 0
		}
	}
}

#[FROM.GetName] is offering to conduct joint military exercises with us
country_event = {
	id = sco.3
	title = sco.3.t
	desc = sco.3.d

	picture = GFX_politics_negotiations

	is_triggered_only = yes

	option = {
		name = sco.3.a #This is a welcome opportunity for our troops to hone their skills!
		set_country_flag = SCO_joint_exercises_accepted
		FROM = { country_event = { days = 1 id = sco.4 } }
		log = "[GetDateText]: [This.GetName]: sco.1.a executed"
		ai_chance = {
			factor = 40
		}
	}

	option = {
		name = sco.3.b #Cooperation with [FROM.Getname] is impossible.
		FROM = {
			clr_country_flag = SCO_joint_exercises_offered
			country_event = { days = 1 id = sco.5 }
		}
		log = "[GetDateText]: [This.GetName]: sco.3.b executed"
		ai_chance = {
			factor = 0
			modifier = {
				add = 40
				has_opinion = {
					target = FROM
					value < 0
				}
			}
			modifier = {
				add = 40
				has_opinion = {
					target = FROM
					value < -50
				}
			}
		}
	}
}

#[FROM.GetName] has accepted our offer!
country_event = {
	id = sco.4
	title = sco.4.t
	desc = sco.4.d

	picture = GFX_politics_talks

	is_triggered_only = yes

	option = {
		name = sco.4.a #Let the games begin!
		log = "[GetDateText]: [This.GetName]: sco.4.a executed"
	}
}

#[FROM.GetName] has rejected our offer!
country_event = {
	id = sco.5
	title = sco.5.t
	desc = sco.5.d

	picture = GFX_treaty_rejected

	is_triggered_only = yes

	option = {
		name = sco.5.a #Their loss...
		log = "[GetDateText]: [This.GetName]: sco.5.a executed"
	}
}

#SCO Launches Large-Scale Military Exercises
news_event = {
	id = sco.6
	title = sco.6.t
	desc = sco.6.d

	picture = GFX_news_generic_soldiers

	is_triggered_only = yes

	option = {
		trigger = { has_government = democratic }
		name = sco.6.a #Are these threatening drills meant for our benefit?
		log = "[GetDateText]: [This.GetName]: sco.6.a executed"
	}

	option = {
		trigger = { has_government = communism }
		name = sco.6.b #Only terrorists have anything to fear from this!
		log = "[GetDateText]: [This.GetName]: sco.6.b executed"
	}

	option = {
		trigger = { NOT = { has_government = communism has_government = democratic } }
		name = sco.6.c #An interesting development.
		log = "[GetDateText]: [This.GetName]: sco.6.c executed"
	}
}

#[FROM.GetName] Gains SCO Membership
news_event = {
	id = sco.7
	title = sco.7.t
	desc = sco.7.d

	picture = GFX_trade_agreement

	is_triggered_only = yes

	option = {
		trigger = { has_government = democratic }
		name = sco.7.a #The Chinese threat continues to grow...
		log = "[GetDateText]: [This.GetName]: sco.6.a executed"
	}

	option = {
		trigger = { NOT = { has_government = democratic } }
		name = sco.7.b #A good day for diplomacy!
		log = "[GetDateText]: [This.GetName]: sco.7.b executed"
	}
}

#[FROM.GetName] Leaves the SCO
news_event = {
	id = sco.8
	title = sco.8.t
	desc = sco.8.d

	picture = GFX_news_press_conference

	is_triggered_only = yes

	option = {
		trigger = { has_government = democratic }
		name = sco.8.a #Chinese aggression has alienated this nation.
		log = "[GetDateText]: [This.GetName]: sco.8.a executed"
	}

	option = {
		trigger = { NOT = { has_government = democratic } }
		name = sco.8.b #A sad day for international cooperation...
		log = "[GetDateText]: [This.GetName]: sco.8.b executed"
	}
}

#China Seizes the Reins of Power over the SCO from Russia
news_event = {
	id = sco.9
	title = sco.9.t
	desc = sco.9.d

	picture = GFX_china_90th_pla_anniversary

	is_triggered_only = yes

	option = {
		name = sco.9.a #China is not willing to share the spotlight...
		log = "[GetDateText]: [This.GetName]: sco.9.a executed"
	}
}

#China is demanding that we choose a side
country_event = {
	id = sco.10
	title = sco.10.t
	desc = sco.10.d

	picture = GFX_CHI_generic

	is_triggered_only = yes

	option = {
		name = sco.10.a #We are nothing if not loyal!
		if = {
			limit = { has_idea = sco_member }
			remove_ideas = sco_member
		}
		if = {
			limit = { has_idea = sco_member_econ }
			remove_ideas = sco_member_econ
		}
		if = {
			limit = { has_idea = sco_member_pol }
			remove_ideas = sco_member_pol
		}
		if = {
			limit = { has_idea = sco_member_mil }
			remove_ideas = sco_member_mil
		}
		CHI = {
			add_opinion_modifier = {
				target = ROOT
				modifier = resisted_territorial_ambition
			}
		}
		SOV = {
			add_opinion_modifier = {
				target = ROOT
				modifier = has_expressed_loyalty
			}
		}
		log = "[GetDateText]: [This.GetName]: sco.10.a executed"
		ai_chance = {
			factor = 40
		}
	}

	option = {
		name = sco.10.b #Time to leave this sinking ship...
		CHI = {
			add_opinion_modifier = {
				target = ROOT
				modifier = diplomatic_support
			}
		}
		SOV = {
			diplomatic_relation = {
				country = ROOT
				relation = guarantee
				active = no
			}
			add_opinion_modifier = {
				target = ROOT
				modifier = diplomatic_disloyalty
			}
		}
		log = "[GetDateText]: [This.GetName]: sco.10.b executed"
		ai_chance = {
			factor = 0
			modifier = {
				add = 20
				has_opinion = {
					target = CHI
					value > 50
				}
			}
			modifier = {
				add = 20
				has_opinion = {
					target = CHI
					value > 100
				}
			}
			modifier = {
				add = 20
				OR = {
					AND = {
						check_variable = { influence_array^0 = CHI }
						check_variable = { influence_array_val^0 > 19.999 }
					}
					AND = {
						check_variable = { influence_array^1 = CHI }
						check_variable = { influence_array_val^1 > 19.999 }
					}
					AND = {
						check_variable = { influence_array^2 = CHI }
						check_variable = { influence_array_val^2 > 19.999 }
					}
					AND = {
						check_variable = { influence_array^3 = CHI }
						check_variable = { influence_array_val^3 > 19.999 }
					}
				}
			}
			modifier = {
				add = 20
				OR = {
					AND = {
						check_variable = { influence_array^0 = CHI }
						check_variable = { influence_array_val^0 > 29.999 }
					}
					AND = {
						check_variable = { influence_array^1 = CHI }
						check_variable = { influence_array_val^1 > 29.999 }
					}
					AND = {
						check_variable = { influence_array^2 = CHI }
						check_variable = { influence_array_val^2 > 29.999 }
					}
				}
			}
			modifier = {
				add = 20
				OR = {
					AND = {
						check_variable = { influence_array^0 = CHI }
						check_variable = { influence_array_val^0 > 39.999 }
					}
					AND = {
						check_variable = { influence_array^1 = CHI }
						check_variable = { influence_array_val^1 > 39.999 }
					}
				}
			}
		}
	}
}

#[FROM.GetName] is Providing us with Development Assistance!
country_event = {
	id = sco.11
	title = sco.11.t
	desc = sco.11.d

	picture = GFX_generic_factory

	is_triggered_only = yes

	option = {
		name = sco.11.a #We are grateful for the help!
		effect_tooltip = {
			add_timed_idea = {
				idea = SCO_development_assistance
				days = 90
			}
		}
		log = "[GetDateText]: [This.GetName]: sco.11.a executed"
	}
}

#China [From.ThisGetName] to Faction
news_event = {
	id = sco.12
	title = sco.12.t
	desc = sco.12.d
	picture = GFX_china_19th_national_congress

	is_triggered_only = yes

	option = { #Ok
		name = sco.12.a
		log = "[GetDateText]: [This.GetName]: sco.12.a executed"
		CHI = { add_to_faction = ROOT }
	}
}